cURL
curl --request POST \ --url https://app.promptingco.com/api/v1/domain/{id}/routing/validate \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "mode": "full_shadow" } '
{ "ok": true, "data": { "valid": true, "config": { "version": 1, "hostname": "<string>", "mode": "full_shadow", "fallbackOrigin": { "url": "<string>" }, "paths": [ { "id": "<string>", "pathPrefix": "<string>", "destination": { "type": "app", "appId": "<string>" }, "preservePathPrefix": true } ] }, "configHash": "<string>", "kvKey": "<string>" } }
Documentation IndexFetch the complete documentation index at: https://docs.promptingcompany.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.promptingcompany.com/llms.txt
Use this file to discover all available pages before exploring further.
Organization-scoped API key. Available scopes:
1
full_shadow
path_routing
Show child attributes
100
Successful response
true